Index: NEMO/releases/r4.0/r4.0.2/CHANGES
===================================================================
--- NEMO/releases/r4.0/r4.0.2/CHANGES	(revision 14488)
+++ NEMO/releases/r4.0/r4.0.2/CHANGES	(revision 14488)
@@ -0,0 +1,699 @@
+#######
+Commits
+#######
+
+------------------------------------------------------------------------
+r12389 | smueller | 2020-02-14 17:56:54 +0100 (ven., 14 févr. 2020) | 5 lines
+
+Pinning of revision numbers in externals definitions and adjustments of the documentation (version numbers, download URL, etc.) for the latest point release of NEMO version 4.0
+
+These changes should have been made in NEMO/releases/release-4.0-HEAD prior to creating the tag NEMO/releases/release-4.0.2.
+
+
+------------------------------------------------------------------------
+r12376 | acc | 2020-02-12 15:06:23 +0100 (mer., 12 févr. 2020) | 1 line
+
+Immediate tag copy of 4.0-HEAD as release-4.0.2. From now on point releases (such as this) should remain unchanged. Bug fixes or additions in response to tickets should be done on the 4.0-HEAD branch and a new point release made when appropriate
+------------------------------------------------------------------------
+r12375 | acc | 2020-02-12 15:00:13 +0100 (mer., 12 févr. 2020) | 1 line
+
+Copied trunk@12367 to releases/release-4.0-HEAD before merging in 2019 developments
+------------------------------------------------------------------------
+r12367 | clem | 2020-02-11 19:37:34 +0100 (mar., 11 févr. 2020) | 1 line
+
+solve ticket #2380
+------------------------------------------------------------------------
+r12366 | jchanut | 2020-02-11 12:17:24 +0100 (mar., 11 févr. 2020) | 2 lines
+
+#2317, revert to the correct sign for asselin term on e3t and runoffs
+
+------------------------------------------------------------------------
+r12337 | cetlod | 2020-01-27 14:47:23 +0100 (lun., 27 janv. 2020) | 1 line
+
+trunk : defining ice transport component on U/V grid ; otherwise grid transformation fails when trying to compute strait
+------------------------------------------------------------------------
+r12331 | cetlod | 2020-01-17 09:00:10 +0100 (ven., 17 janv. 2020) | 1 line
+
+trunk : Minor changes on grid_def
+------------------------------------------------------------------------
+r12300 | cetlod | 2020-01-06 09:31:02 +0100 (lun., 06 janv. 2020) | 1 line
+
+Minor fix on CFC to avoid bad interpolation
+------------------------------------------------------------------------
+r12296 | mathiot | 2019-12-30 20:34:01 +0100 (lun., 30 déc. 2019) | 1 line
+
+fix #2360
+------------------------------------------------------------------------
+r12294 | mathiot | 2019-12-30 19:46:59 +0100 (lun., 30 déc. 2019) | 1 line
+
+fix #2359
+------------------------------------------------------------------------
+r12292 | mathiot | 2019-12-30 18:07:45 +0100 (lun., 30 déc. 2019) | 1 line
+
+fix #2358
+------------------------------------------------------------------------
+r12291 | mathiot | 2019-12-30 17:43:47 +0100 (lun., 30 déc. 2019) | 1 line
+
+fix icb reproducibility into the trunk (ticket #2238)
+------------------------------------------------------------------------
+r12288 | smasson | 2019-12-26 16:22:36 +0100 (jeu., 26 déc. 2019) | 1 line
+
+trunk : minor bugfix/cleaning
+------------------------------------------------------------------------
+r12284 | cetlod | 2019-12-23 12:05:58 +0100 (lun., 23 déc. 2019) | 1 line
+
+trunk:give the right unit to ocean carbon flux
+------------------------------------------------------------------------
+r12283 | cetlod | 2019-12-23 11:40:48 +0100 (lun., 23 déc. 2019) | 1 line
+
+trunk:revert some changes done in sbccpl.F90
+------------------------------------------------------------------------
+r12280 | cetlod | 2019-12-21 11:42:44 +0100 (sam., 21 déc. 2019) | 1 line
+
+bugfix in trunk : initialise local array in PISCES, see ticket #2357
+------------------------------------------------------------------------
+r12279 | jchanut | 2019-12-20 14:36:15 +0100 (ven., 20 déc. 2019) | 2 lines
+
+#2317, changes for LFRA freshwater correction
+
+------------------------------------------------------------------------
+r12278 | cetlod | 2019-12-20 13:41:08 +0100 (ven., 20 déc. 2019) | 1 line
+
+trunk : minor correction in use of diaptr
+------------------------------------------------------------------------
+r12277 | cetlod | 2019-12-20 12:54:47 +0100 (ven., 20 déc. 2019) | 1 line
+
+trunk : Minor corrections
+------------------------------------------------------------------------
+r12276 | cetlod | 2019-12-20 12:14:26 +0100 (ven., 20 déc. 2019) | 1 line
+
+trunk : merge in some cmip6 diagnostics into the trunk before copying it to release-4.0.2(-head). SETTE tests are OK and the is no difference with the revision 12248
+------------------------------------------------------------------------
+r12248 | smasson | 2019-12-13 17:33:53 +0100 (ven., 13 déc. 2019) | 1 line
+
+trunk : clean useless warnings in fldread
+------------------------------------------------------------------------
+r12232 | cetlod | 2019-12-13 09:25:14 +0100 (ven., 13 déc. 2019) | 1 line
+
+trunk : bugfixes on grazing diagnostics, see ticket #2260
+------------------------------------------------------------------------
+r12230 | smasson | 2019-12-12 18:15:21 +0100 (jeu., 12 déc. 2019) | 1 line
+
+trunk: missing part in supressing diatmb, see #1759
+------------------------------------------------------------------------
+r12214 | smasson | 2019-12-12 16:46:06 +0100 (jeu., 12 déc. 2019) | 1 line
+
+trunk: put back 1 line accidentally deleted by [12206]
+------------------------------------------------------------------------
+r12213 | smasson | 2019-12-12 16:32:02 +0100 (jeu., 12 déc. 2019) | 1 line
+
+trunk: update xml files to define missing grids, see #2255
+------------------------------------------------------------------------
+r12208 | smasson | 2019-12-12 12:20:21 +0100 (jeu., 12 déc. 2019) | 1 line
+
+trunk: move back cpp_AGRIF_DEMO and cpp_VORTEX mofified by [12206]
+------------------------------------------------------------------------
+r12206 | smasson | 2019-12-12 12:14:55 +0100 (jeu., 12 déc. 2019) | 1 line
+
+trunk: supress diatmb as it was bugged and already coded in diawri, see #1759
+------------------------------------------------------------------------
+r12201 | smasson | 2019-12-12 09:51:33 +0100 (jeu., 12 déc. 2019) | 1 line
+
+trunk: correct [12194], see #2265
+------------------------------------------------------------------------
+r12198 | smasson | 2019-12-12 09:16:14 +0100 (jeu., 12 déc. 2019) | 1 line
+
+trunk: bugfix in ldf_slp_triad, see #1928
+------------------------------------------------------------------------
+r12197 | clem | 2019-12-12 00:46:12 +0100 (jeu., 12 déc. 2019) | 1 line
+
+correct ticket #2349
+------------------------------------------------------------------------
+r12196 | smasson | 2019-12-11 18:13:20 +0100 (mer., 11 déc. 2019) | 1 line
+
+trunk: limit bottom slope to 1/2*e3/e1 in ldf_slp, see #1180
+------------------------------------------------------------------------
+r12194 | smasson | 2019-12-11 17:21:56 +0100 (mer., 11 déc. 2019) | 1 line
+
+trunk: minor bugfix in ldfdyn, see #2265
+------------------------------------------------------------------------
+r12171 | smasson | 2019-12-11 10:36:23 +0100 (mer., 11 déc. 2019) | 1 line
+
+trunk: minor cleaning in sbccpl, see #2313
+------------------------------------------------------------------------
+r12168 | smasson | 2019-12-11 10:16:47 +0100 (mer., 11 déc. 2019) | 1 line
+
+trunk: minor bugfix in sbcrfn, see #2340
+------------------------------------------------------------------------
+r12158 | jchanut | 2019-12-10 16:33:19 +0100 (mar., 10 déc. 2019) | 2 lines
+
+#2130, correct initial day if not starting at 00Z
+
+------------------------------------------------------------------------
+r12148 | smasson | 2019-12-10 14:59:27 +0100 (mar., 10 déc. 2019) | 1 line
+
+trunk: minor bugfix in bdyvol, see #2345
+------------------------------------------------------------------------
+r12142 | smasson | 2019-12-10 12:50:13 +0100 (mar., 10 déc. 2019) | 1 line
+
+trunk: minor bugfix in bdyini, see #2342
+------------------------------------------------------------------------
+r12141 | smasson | 2019-12-10 12:43:20 +0100 (mar., 10 déc. 2019) | 1 line
+
+trunk: minor bugfix in divhor, see #2347
+------------------------------------------------------------------------
+r12138 | smasson | 2019-12-10 12:26:06 +0100 (mar., 10 déc. 2019) | 1 line
+
+trunk: minor AGRIF bugfix, see #2322
+------------------------------------------------------------------------
+r12137 | smasson | 2019-12-10 12:23:47 +0100 (mar., 10 déc. 2019) | 1 line
+
+trunk: missing part of commit [12132]
+------------------------------------------------------------------------
+r12136 | cetlod | 2019-12-10 11:57:36 +0100 (mar., 10 déc. 2019) | 1 line
+
+TOP updates
+------------------------------------------------------------------------
+r12132 | smasson | 2019-12-10 11:38:28 +0100 (mar., 10 déc. 2019) | 1 line
+
+trunk: coupling interface bugfixes, part 1
+------------------------------------------------------------------------
+r12121 | cetlod | 2019-12-09 12:19:22 +0100 (lun., 09 déc. 2019) | 1 line
+
+trunk:revert commit on changeset 12025
+------------------------------------------------------------------------
+r12072 | jchanut | 2019-12-05 16:07:50 +0100 (jeu., 05 déc. 2019) | 2 lines
+
+#2346, correct lbc call for depths
+
+------------------------------------------------------------------------
+r12055 | jchanut | 2019-12-04 17:20:14 +0100 (mer., 04 déc. 2019) | 2 lines
+
+#2327
+
+------------------------------------------------------------------------
+r12052 | jchanut | 2019-12-04 16:59:19 +0100 (mer., 04 déc. 2019) | 2 lines
+
+#2335, add missing lbc call with wad
+
+------------------------------------------------------------------------
+r12049 | jchanut | 2019-12-04 16:36:36 +0100 (mer., 04 déc. 2019) | 2 lines
+
+#2334, bdy init from initial T/S
+
+------------------------------------------------------------------------
+r12026 | davestorkey | 2019-12-02 15:54:57 +0100 (lun., 02 déc. 2019) | 4 lines
+
+Small bug fixes to to initial Euler timestep and OFF timestepping to ensure 
+bit comparison the IMMERSE_first_steps branch with the trunk. 
+Tickets #2310, #2311, #2343 apply.
+
+------------------------------------------------------------------------
+r12025 | cetlod | 2019-12-02 14:41:09 +0100 (lun., 02 déc. 2019) | 1 line
+
+Put back original namelist ice values of trunk revision 11640 
+------------------------------------------------------------------------
+r11993 | cetlod | 2019-11-28 11:20:53 +0100 (jeu., 28 nov. 2019) | 1 line
+
+trunk : undo bad commit. Oups
+------------------------------------------------------------------------
+r11989 | cetlod | 2019-11-27 16:13:52 +0100 (mer., 27 nov. 2019) | 1 line
+
+cmip6 diag : finalisation of CMIP6 diags implementation
+------------------------------------------------------------------------
+r11907 | nicolasmartin | 2019-11-14 18:15:03 +0100 (jeu., 14 nov. 2019) | 2 lines
+
+Implementation of syntax highlighting for inline code
+
+------------------------------------------------------------------------
+r11899 | smasson | 2019-11-13 18:14:14 +0100 (mer., 13 nov. 2019) | 1 line
+
+trunk: bugfix in usrdef_nam.F90 for CANAL test case
+------------------------------------------------------------------------
+r11891 | smasson | 2019-11-12 16:17:18 +0100 (mar., 12 nov. 2019) | 1 line
+
+trunk: bugfix of [11879], see #2230
+------------------------------------------------------------------------
+r11879 | smasson | 2019-11-08 21:36:58 +0100 (ven., 08 nov. 2019) | 1 line
+
+trunk: fix in bdydta, same results but prevents that all subdomains read all bdy
+------------------------------------------------------------------------
+r11848 | jchanut | 2019-11-04 11:48:01 +0100 (lun., 04 nov. 2019) | 2 lines
+
+1) Correct typo in OVERFLOW namelists 2) add implicit vertical advection in default namelist (so that it runs with 4th order advection)
+
+------------------------------------------------------------------------
+r11821 | acc | 2019-10-29 11:08:08 +0100 (mar., 29 oct. 2019) | 1 line
+
+Small correction to trcbdy.F90. This fixes #2324
+------------------------------------------------------------------------
+r11818 | jchanut | 2019-10-29 10:23:50 +0100 (mar., 29 oct. 2019) | 2 lines
+
+Fixes to compile with gcc 9.2
+
+------------------------------------------------------------------------
+r11814 | smasson | 2019-10-28 11:18:41 +0100 (lun., 28 oct. 2019) | 1 line
+
+trunk: fix typo in namsbc_cpl
+------------------------------------------------------------------------
+r11812 | smasson | 2019-10-28 11:14:40 +0100 (lun., 28 oct. 2019) | 1 line
+
+trunk: add missing USE phycst in icedyn_adv_pra, needed when not using key_iomput
+------------------------------------------------------------------------
+r11793 | jchanut | 2019-10-25 12:25:20 +0200 (ven., 25 oct. 2019) | 2 lines
+
+#2321, missing init for online vertical interpolation of bdy data
+
+------------------------------------------------------------------------
+r11792 | gsamson | 2019-10-25 12:16:21 +0200 (ven., 25 oct. 2019) | 1 line
+
+update namelist_ice_cfg in AGRIF_DEMO cfg as in ORCA2_ICE_PISCES cfg to pass AGRIF-ORCA2 corruption tests in SETTE
+------------------------------------------------------------------------
+r11780 | nicolasmartin | 2019-10-23 18:08:23 +0200 (mer., 23 oct. 2019) | 3 lines
+
+Define fortran as the default language for code highlighting
+So we only have to define the language in a `code-block` directive for others.
+
+------------------------------------------------------------------------
+r11761 | nicolasmartin | 2019-10-22 12:02:46 +0200 (mar., 22 oct. 2019) | 2 lines
+
+Create ''unpub'' folder for unpublished READMEs (displayed with `make drafthtml`)
+
+------------------------------------------------------------------------
+r11759 | nicolasmartin | 2019-10-21 18:24:58 +0200 (lun., 21 oct. 2019) | 2 lines
+
+Review README for data assimilation
+
+------------------------------------------------------------------------
+r11754 | nicolasmartin | 2019-10-21 16:25:22 +0200 (lun., 21 oct. 2019) | 2 lines
+
+Review README for coupling
+
+------------------------------------------------------------------------
+r11753 | nicolasmartin | 2019-10-21 16:21:17 +0200 (lun., 21 oct. 2019) | 2 lines
+
+Review README for AGRIF
+
+------------------------------------------------------------------------
+r11752 | nicolasmartin | 2019-10-21 16:08:43 +0200 (lun., 21 oct. 2019) | 2 lines
+
+Improve the view of todo items by adding the list in the TOC tree
+
+------------------------------------------------------------------------
+r11747 | nicolasmartin | 2019-10-21 15:21:48 +0200 (lun., 21 oct. 2019) | 2 lines
+
+Review README for diagnostics
+
+------------------------------------------------------------------------
+r11745 | nicolasmartin | 2019-10-21 15:00:40 +0200 (lun., 21 oct. 2019) | 2 lines
+
+Create symbolic link ''setup.rst'' to ''README'' in `./src/OCE/USR`
+
+------------------------------------------------------------------------
+r11743 | nicolasmartin | 2019-10-21 14:57:14 +0200 (lun., 21 oct. 2019) | 2 lines
+
+Review README for configuration setup
+
+------------------------------------------------------------------------
+r11735 | nicolasmartin | 2019-10-18 19:50:58 +0200 (ven., 18 oct. 2019) | 2 lines
+
+Review README for test cases (a gif file mentioned to illustrate CANAL is missing)
+
+------------------------------------------------------------------------
+r11734 | nicolasmartin | 2019-10-18 18:46:26 +0200 (ven., 18 oct. 2019) | 2 lines
+
+Review README for reference confgiurations
+
+------------------------------------------------------------------------
+r11732 | clem | 2019-10-18 18:10:30 +0200 (ven., 18 oct. 2019) | 1 line
+
+update trunk from #11730
+------------------------------------------------------------------------
+r11731 | clem | 2019-10-18 18:06:28 +0200 (ven., 18 oct. 2019) | 1 line
+
+update trunk from #11729
+------------------------------------------------------------------------
+r11727 | nicolasmartin | 2019-10-18 17:19:36 +0200 (ven., 18 oct. 2019) | 2 lines
+
+Crop caption for AGRIF_DEMO illustration
+
+------------------------------------------------------------------------
+r11725 | nicolasmartin | 2019-10-18 16:38:13 +0200 (ven., 18 oct. 2019) | 2 lines
+
+Add NOAA picture of PAPA ocean station
+
+------------------------------------------------------------------------
+r11724 | nicolasmartin | 2019-10-18 16:34:50 +0200 (ven., 18 oct. 2019) | 2 lines
+
+Add image of AMM domain bathymetry extract from Enda's reference paper
+
+------------------------------------------------------------------------
+r11723 | nicolasmartin | 2019-10-18 14:33:36 +0200 (ven., 18 oct. 2019) | 2 lines
+
+Review of INSTALL.rst
+
+------------------------------------------------------------------------
+r11718 | nicolasmartin | 2019-10-18 12:03:11 +0200 (ven., 18 oct. 2019) | 3 lines
+
+Rename symlinks to rst files 
+Shortening the internal link syntax with :doc: and making it much readable
+
+------------------------------------------------------------------------
+r11713 | nicolasmartin | 2019-10-17 17:49:19 +0200 (jeu., 17 oct. 2019) | 12 lines
+
+Revamp TOP README and implement a TODO list
+Review `tracers.rst` by adding snippets of source files
+Add ''drafthtml'' target for Makefile related to ''draft'' building tag for sphinx-build to 
+display todo items at the top of the guide homepage
+
+Misc:
+- Use dedicated `:file:` role instead of ```...``` for file or directory
+- Update BibTeX entries of NEMO reference publications by using `:title:` role 
+- Dump of `RELEASE_NOTES.rst`
+- New file `todos.rst` to list all items declared with `todo` directive
+- Modify `conf.py` to add a conditional test for ''draft'' tag
+
+------------------------------------------------------------------------
+r11711 | nicolasmartin | 2019-10-17 12:06:25 +0200 (jeu., 17 oct. 2019) | 2 lines
+
+Remove external definition to bibtool.rsc for trunk and 4.0.1
+
+------------------------------------------------------------------------
+r11708 | nicolasmartin | 2019-10-16 11:13:01 +0200 (mer., 16 oct. 2019) | 2 lines
+
+z
+
+------------------------------------------------------------------------
+r11707 | nicolasmartin | 2019-10-16 11:05:06 +0200 (mer., 16 oct. 2019) | 4 lines
+
+Review of the rst content
+In short, new `citations.rst` to have a distinct page for NEMO references and 
+an update of the global directives
+
+------------------------------------------------------------------------
+r11706 | nicolasmartin | 2019-10-16 10:51:40 +0200 (mer., 16 oct. 2019) | 5 lines
+
+Update files to be compliant with Python 3 (Python 2 no longer available)
+The compilation of the guide is no longer easy with Python 2 with the need of virtual env to 
+downgrade some dependencies. \\
+Last but not least, Python 2 support will expire by the end of the year.
+
+------------------------------------------------------------------------
+r11703 | nicolasmartin | 2019-10-14 18:33:28 +0200 (lun., 14 oct. 2019) | 2 lines
+
+Update as well the manual namelists
+
+------------------------------------------------------------------------
+r11702 | nicolasmartin | 2019-10-14 17:51:45 +0200 (lun., 14 oct. 2019) | 2 lines
+
+Restore default path for FontAwesome using in the manual compilation
+
+------------------------------------------------------------------------
+
+#######
+Changes
+#######
+
+M       cfgs/AGRIF_DEMO/cpp_AGRIF_DEMO.fcm
+M       cfgs/AGRIF_DEMO/EXPREF/1_context_nemo.xml
+M       cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg
+M       cfgs/AGRIF_DEMO/EXPREF/2_context_nemo.xml
+M       cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg
+M       cfgs/AGRIF_DEMO/EXPREF/3_context_nemo.xml
+M       cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg
+D       cfgs/AGRIF_DEMO/EXPREF/axis_def_nemo.xml
+M       cfgs/AGRIF_DEMO/EXPREF/context_nemo.xml
+M       cfgs/AGRIF_DEMO/EXPREF/namelist_cfg
+M       cfgs/AGRIF_DEMO/EXPREF/namelist_ice_cfg
+A       cfgs/AGRIF_DEMO/MY_SRC
+M       cfgs/AGRIF_DEMO/README.rst
+D       cfgs/AMM12/EXPREF/axis_def_nemo.xml
+M       cfgs/AMM12/EXPREF/context_nemo.xml
+M       cfgs/AMM12/EXPREF/file_def_nemo-oce.xml
+M       cfgs/AMM12/EXPREF/namelist_cfg
+D       cfgs/C1D_PAPA/EXPREF/axis_def_nemo.xml
+M       cfgs/C1D_PAPA/EXPREF/context_nemo.xml
+M       cfgs/C1D_PAPA/EXPREF/namelist_cfg
+D       cfgs/GYRE_BFM/EXPREF/axis_def_nemo.xml
+M       cfgs/GYRE_BFM/EXPREF/context_nemo.xml
+M       cfgs/GYRE_BFM/EXPREF/namelist_cfg
+D       cfgs/GYRE_PISCES/EXPREF/axis_def_nemo.xml
+M       cfgs/GYRE_PISCES/EXPREF/context_nemo.xml
+M       cfgs/GYRE_PISCES/EXPREF/namelist_cfg
+D       cfgs/ORCA2_ICE_PISCES/EXPREF/axis_def_nemo.xml
+M       cfgs/ORCA2_ICE_PISCES/EXPREF/context_nemo.xml
+M       cfgs/ORCA2_ICE_PISCES/EXPREF/file_def_nemo-ice.xml
+M       cfgs/ORCA2_ICE_PISCES/EXPREF/file_def_nemo-oce.xml
+M       cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg
+M       cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_ice_cfg
+A       cfgs/ORCA2_ICE_PISCES/MY_SRC
+D       cfgs/ORCA2_OFF_PISCES/EXPREF/axis_def_nemo.xml
+M       cfgs/ORCA2_OFF_PISCES/EXPREF/context_nemo.xml
+D       cfgs/ORCA2_OFF_PISCES/EXPREF/file_def_nemo-pisces.xml
+A       cfgs/ORCA2_OFF_PISCES/EXPREF/file_def_nemo.xml
+M       cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg
+D       cfgs/ORCA2_OFF_TRC/EXPREF/axis_def_nemo.xml
+M       cfgs/ORCA2_OFF_TRC/EXPREF/context_nemo.xml
+D       cfgs/ORCA2_OFF_TRC/EXPREF/file_def_nemo-innerttrc.xml
+A       cfgs/ORCA2_OFF_TRC/EXPREF/file_def_nemo.xml
+M       cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg
+D       cfgs/ORCA2_SAS_ICE/EXPREF/axis_def_nemo.xml
+M       cfgs/ORCA2_SAS_ICE/EXPREF/context_nemo.xml
+M       cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg
+A       cfgs/ORCA2_SAS_ICE/MY_SRC
+M       cfgs/README.rst
+D       cfgs/SHARED/axis_def_nemo.xml
+M       cfgs/SHARED/domain_def_nemo.xml
+M       cfgs/SHARED/field_def_nemo-ice.xml
+M       cfgs/SHARED/field_def_nemo-oce.xml
+M       cfgs/SHARED/field_def_nemo-pisces.xml
+M       cfgs/SHARED/grid_def_nemo.xml
+M       cfgs/SHARED/namelist_ice_ref
+M       cfgs/SHARED/namelist_ref
+M       cfgs/SHARED/README.rst
+D       cfgs/SPITZ12/EXPREF/axis_def_nemo.xml
+M       cfgs/SPITZ12/EXPREF/context_nemo.xml
+M       cfgs/SPITZ12/EXPREF/namelist_cfg
+M       cfgs/SPITZ12/EXPREF/namelist_ice_cfg
+A       cfgs/SPITZ12/MY_SRC
+M       CHANGES
+D       CHANGES.rst
+M       CONTRIBUTING.rst
+M       doc/latex/global/document.tex
+M       doc/latex/global/frontpage.tex
+M       doc/latex/global/latexmk.pl
+M       doc/latex/global/new_cmds.tex
+M       doc/latex/global/packages.tex
+M       doc/latex/global/styles.tex
+M       doc/latex/NEMO/subfiles/apdx_triads.tex
+M       doc/latex/NEMO/subfiles/chap_DIA.tex
+M       doc/latex/NEMO/subfiles/chap_OBS.tex
+M       doc/latex/NEMO/subfiles/chap_ZDF.tex
+M       doc/latex/SI3/namelists/namdyn_adv
+M       doc/latex/TOP/subfiles/model_description.tex
+M       doc/manual_build.sh
+M       doc/namelists/nambdy
+M       doc/namelists/nambdy_dta
+M       doc/namelists/namberg
+M       doc/namelists/namc1d_uvd
+M       doc/namelists/namdia
+M       doc/namelists/nam_diadct
+M       doc/namelists/nam_diaharm
+A       doc/namelists/nam_diatmb
+M       doc/namelists/namdta_dyn
+M       doc/namelists/namdyn
+M       doc/namelists/namdyn_adv
+M       doc/namelists/namini
+M       doc/namelists/nammpp
+M       doc/namelists/namobs
+M       doc/namelists/nampisatm
+M       doc/namelists/nampisopt
+M       doc/namelists/nampissbc
+M       doc/namelists/namrun
+M       doc/namelists/namsbc
+M       doc/namelists/namsbc_apr
+M       doc/namelists/namsbc_blk
+M       doc/namelists/namsbc_flx
+M       doc/namelists/namsbc_isf
+M       doc/namelists/namsbc_rnf
+M       doc/namelists/namsbc_sas
+M       doc/namelists/namsbc_ssr
+M       doc/namelists/namsbc_wave
+M       doc/namelists/namtra_qsr
+M       doc/namelists/namtrc_dta
+M       doc/namelists/namtsd
+M       doc/README.rst
+M       doc/rst/Makefile
+M       doc/rst/README.rst
+M       doc/rst/requirements.txt
+D       doc/rst/source/acro.rst
+D       doc/rst/source/cfgs.bib
+D       doc/rst/source/cfgs.rst
+D       doc/rst/source/changes.rst
+D       doc/rst/source/cite.rst
+A       doc/rst/source/coarsening.rst
+A       doc/rst/source/configurations.bib
+A       doc/rst/source/configurations.rst
+M       doc/rst/source/conf.py
+D       doc/rst/source/contrib.rst
+A       doc/rst/source/contributing.rst
+A       doc/rst/source/coupling.rst
+D       doc/rst/source/cplg.rst
+D       doc/rst/source/da.rst
+A       doc/rst/source/data_assimilation.rst
+A       doc/rst/source/definitions.rst
+A       doc/rst/source/diagnostics.rst
+D       doc/rst/source/diags.rst
+D       doc/rst/source/docutils.conf
+M       doc/rst/source/global.rst
+D       doc/rst/source/guide.rst
+A       doc/rst/source/NEMO_guide.rst
+D       doc/rst/source/ref.bib
+A       doc/rst/source/references.bib
+A       doc/rst/source/release_notes.rst
+M       doc/rst/source/setup.rst
+D       doc/rst/source/_static/AGRIF_DEMO_no_cap.jpg
+D       doc/rst/source/_static/AMM_domain.png
+D       doc/rst/source/_static/Papa2015.jpg
+M       doc/rst/source/_static/style.css
+A       doc/rst/source/test_cases.bib
+A       doc/rst/source/test_cases.rst
+D       doc/rst/source/tests.bib
+D       doc/rst/source/tests.rst
+D       doc/rst/source/todos.rst
+D       doc/rst/source/unpub
+D       doc/rst/source/unpub/crs.rst
+D       doc/rst/source/unpub/doc.rst
+D       doc/rst/source/unpub/src.rst
+M       doc/tools/check_pkg.py
+M       doc/tools/shr_func.sh
+M       INSTALL.rst
+M       README.rst
+M       REFERENCES.bib
+A       RELEASE_NOTES.rst
+M       src/ICE/icedyn_adv.F90
+M       src/ICE/icedyn_adv_pra.F90
+M       src/ICE/icedyn_adv_umx.F90
+M       src/ICE/icedyn_rdgrft.F90
+M       src/ICE/iceitd.F90
+M       src/ICE/icevar.F90
+M       src/NST/agrif_user.F90
+M       src/OCE/ASM/README.rst
+M       src/OCE/BDY/bdydta.F90
+M       src/OCE/BDY/bdyini.F90
+M       src/OCE/BDY/bdyvol.F90
+M       src/OCE/CRS/README.rst
+M       src/OCE/DIA/diaar5.F90
+M       src/OCE/DIA/diahth.F90
+M       src/OCE/DIA/diaptr.F90
+A       src/OCE/DIA/diatmb.F90
+M       src/OCE/DIA/diawri.F90
+M       src/OCE/DOM/daymod.F90
+M       src/OCE/DYN/divhor.F90
+M       src/OCE/DYN/dynnxt.F90
+M       src/OCE/DYN/dynspg_ts.F90
+M       src/OCE/DYN/dynzdf.F90
+M       src/OCE/FLO/flodom.F90
+M       src/OCE/FLO/flowri.F90
+M       src/OCE/ICB/icbthm.F90
+M       src/OCE/IOM/iom.F90
+M       src/OCE/LDF/ldfdyn.F90
+M       src/OCE/LDF/ldfslp.F90
+M       src/OCE/LDF/ldftra.F90
+M       src/OCE/nemogcm.F90
+M       src/OCE/OBS/README.rst
+M       src/OCE/SBC/cpl_oasis3.F90
+M       src/OCE/SBC/fldread.F90
+M       src/OCE/SBC/README.rst
+M       src/OCE/SBC/sbcblk.F90
+M       src/OCE/SBC/sbccpl.F90
+M       src/OCE/SBC/sbcisf.F90
+M       src/OCE/SBC/sbcmod.F90
+M       src/OCE/SBC/sbc_oce.F90
+M       src/OCE/SBC/sbcrnf.F90
+M       src/OCE/SBC/sbcssr.F90
+M       src/OCE/step.F90
+M       src/OCE/TRA/eosbn2.F90
+M       src/OCE/TRA/traadv_cen.F90
+M       src/OCE/TRA/traadv.F90
+M       src/OCE/TRA/traadv_fct.F90
+M       src/OCE/TRA/traadv_mus.F90
+M       src/OCE/TRA/traadv_qck.F90
+M       src/OCE/TRA/traadv_ubs.F90
+M       src/OCE/TRA/trabbc.F90
+M       src/OCE/TRA/traldf_iso.F90
+M       src/OCE/TRA/traldf_lap_blp.F90
+M       src/OCE/TRA/traldf_triad.F90
+M       src/OCE/TRA/tranxt.F90
+D       src/OCE/USR/README.rst
+A       src/OCE/USR/README-setup-configs
+M       src/OFF/nemogcm.F90
+D       src/README.rst
+M       src/SAS/README.rst
+M       src/TOP/CFC/trcsms_cfc.F90
+M       src/TOP/PISCES/P4Z/p4zfechem.F90
+M       src/TOP/PISCES/P4Z/p4zflx.F90
+M       src/TOP/PISCES/P4Z/p4zligand.F90
+M       src/TOP/PISCES/P4Z/p4zlim.F90
+M       src/TOP/PISCES/P4Z/p4zlys.F90
+M       src/TOP/PISCES/P4Z/p4zmeso.F90
+M       src/TOP/PISCES/P4Z/p4zmicro.F90
+M       src/TOP/PISCES/P4Z/p4zopt.F90
+M       src/TOP/PISCES/P4Z/p4zprod.F90
+M       src/TOP/PISCES/P4Z/p4zrem.F90
+M       src/TOP/PISCES/P4Z/p4zsed.F90
+M       src/TOP/PISCES/P4Z/p4zsink.F90
+M       src/TOP/PISCES/P4Z/p4zsms.F90
+M       src/TOP/PISCES/P4Z/p5zlim.F90
+M       src/TOP/PISCES/P4Z/p5zmeso.F90
+M       src/TOP/PISCES/P4Z/p5zmicro.F90
+M       src/TOP/PISCES/P4Z/p5zprod.F90
+M       src/TOP/README.rst
+M       src/TOP/trcbdy.F90
+M       src/TOP/trcini.F90
+M       src/TOP/trcstp.F90
+M       src/TOP/trcwri.F90
+M       src/TOP/TRP/trcnxt.F90
+D       tests/CANAL/EXPREF/axis_def_nemo.xml
+M       tests/CANAL/EXPREF/context_nemo.xml
+M       tests/CANAL/EXPREF/field_def_nemo-oce.xml
+M       tests/CANAL/EXPREF/namelist_cfg
+M       tests/CANAL/MY_SRC/diawri.F90
+M       tests/CANAL/MY_SRC/usrdef_nam.F90
+D       tests/ICE_ADV1D/EXPREF/axis_def_nemo.xml
+M       tests/ICE_ADV1D/EXPREF/context_nemo.xml
+M       tests/ICE_ADV1D/EXPREF/namelist_cfg
+M       tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts
+M       tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts
+M       tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts
+D       tests/ICE_ADV2D/EXPREF/axis_def_nemo.xml
+M       tests/ICE_ADV2D/EXPREF/context_nemo.xml
+M       tests/ICE_ADV2D/EXPREF/namelist_cfg
+M       tests/ICE_AGRIF/EXPREF/1_namelist_cfg
+D       tests/ICE_AGRIF/EXPREF/axis_def_nemo.xml
+M       tests/ICE_AGRIF/EXPREF/context_nemo.xml
+M       tests/ICE_AGRIF/EXPREF/namelist_cfg
+D       tests/ISOMIP/EXPREF/axis_def_nemo.xml
+M       tests/ISOMIP/EXPREF/context_nemo.xml
+M       tests/ISOMIP/EXPREF/namelist_cfg
+D       tests/LOCK_EXCHANGE/EXPREF/axis_def_nemo.xml
+M       tests/LOCK_EXCHANGE/EXPREF/context_nemo.xml
+M       tests/LOCK_EXCHANGE/EXPREF/namelist_FCT2_flux_ubs_cfg
+D       tests/OVERFLOW/EXPREF/axis_def_nemo.xml
+M       tests/OVERFLOW/EXPREF/context_nemo.xml
+M       tests/OVERFLOW/EXPREF/namelist_sco_FCT2_flux_cen-ahm1000_cfg
+M       tests/OVERFLOW/EXPREF/namelist_sco_FCT2_flux_ubs_cfg
+M       tests/OVERFLOW/EXPREF/namelist_sco_FCT4_flux_ubs_cfg
+M       tests/OVERFLOW/EXPREF/namelist_zps_FCT2_flux_ubs_cfg
+M       tests/OVERFLOW/EXPREF/namelist_zps_FCT4_flux_ubs_cfg
+M       tests/OVERFLOW/EXPREF/namelist_zps_FCT4_vect_een_cfg
+M       tests/README.rst
+M       tests/VORTEX/cpp_VORTEX.fcm
+M       tests/VORTEX/EXPREF/1_context_nemo.xml
+M       tests/VORTEX/EXPREF/1_namelist_cfg
+D       tests/VORTEX/EXPREF/axis_def_nemo.xml
+M       tests/VORTEX/EXPREF/context_nemo.xml
+M       tests/VORTEX/EXPREF/namelist_cfg
+D       tests/WAD/EXPREF/axis_def_nemo.xml
+M       tests/WAD/EXPREF/context_nemo.xml
+M       tests/WAD/EXPREF/namelist_cfg
